/*+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-

  Name   : CC-MBmtr.h

  Desc   : 'slave' side of Modbus-connected motion controller

  Comment: 

+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-*/

#ifndef _CC_MB_MTR_H_
    #define _CC_MB_MTR_H_

    // Specify which ClearCore serial COM port is connected to the operator station
    #define CCDISP_PORT       Serial0
    
    #define COMM_TIME_INTERVAL 1000         // interval to check for comm errors in loop()
    
    #define SERIAL_PORT_STARTUP_TIME 2000   // wait up to this millisec to connect

    const int DEFAULT_ESTOP_DEC = 1000000;  // cnts/sec^2

    const ClearCorePins POWER_RELAY   = IO2;// this turns on drive power on test setup

    // alias for turning outputs on/off.
    // note all digital outputs are active low (sinking)
    #define OUTP_ON     true
    #define OUTP_OFF    false

#endif  // _CC_MB_MTR_H_
